package com.bocloud.cmp.provider.hillstone;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.hillstone.VpnIpsecPeerModel;

public interface VpnIpsecPeerProvider extends SuperProvider {

    /**
     * 创建Vpn-Ipsec对端
     *
     * @param vpnIpsecPeerModel Vpn-Ipsec对端
     * @return
     */
    BocloudResult create(VpnIpsecPeerModel vpnIpsecPeerModel);

    BocloudResult update(VpnIpsecPeerModel vpnIpsecPeerModel);

    BocloudResult delete(VpnIpsecPeerModel vpnIpsecPeerModel);

}
